/**
 * 购房申请管理初始化
 */
var HouserRentingPurchaseApply = {
    id: "HouserRentingPurchaseApplyTable",	//表格id
    seItem: null,		//选中的条目
    table: null,
    layerIndex: -1
};

/**
 * 初始化表格的列
 */
HouserRentingPurchaseApply.initColumn = function () {
    var process = $("#process").val();
    return [
        {field: 'selectItem', radio: true},
        {title: '审核单位', field: 'companyName', visible: process==2, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
        {title: '企业名称', field: 'enterpriseName', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
        {title: '姓名', field: 'name', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip',
            formatter : function (value,row,index) {
                if(row.sex==1){
                    return value+'<span style="color:#6495ED">【男】</span>';
                }if(row.sex==2){
                    return value+'<span style="color:#FF82AB">【女】</span>';
                }
            }
        },
        {title: '证件类型', field: 'cardTypeName', visible: true, align: 'center', valign: 'middle',width:"80px",'class': 'uitd_showTip'},
        {title: '证件号码', field: 'idCard', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
        {title: '人才层次', field: 'talentArrangeName', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
        {title: '籍贯', field: 'nativePlace', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
        {title: '入职时间', field: 'entryTime', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
        {title: '联系电话', field: 'phone', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
        {title: '婚姻状态', field: 'marryStatusName', visible: true, align: 'center', valign: 'middle',width:"80px",'class': 'uitd_showTip'},
        {title: '配偶姓名', field: 'spouseName', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip',
            formatter : function (value,row,index) {
                if(row.spouseSex==1){
                    return value+'<span style="color:#6495ED">【男】</span>';
                }if(row.spouseSex==2){
                    return value+'<span style="color:#FF82AB">【女】</span>';
                }
            }
        },
        {title: '配偶证件类型', field: 'spouseCardTypeName', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
        {title: '配偶证件号码', field: 'spouseIdCard', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
        {title: '配偶人才层次', field: 'spouseTalentArrangeName', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
        {title: '配偶籍贯', field: 'spouseNativePlace', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
        {title: '配偶工作单位', field: 'spouseEnterpriseName', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
        {title: '配偶联系电话', field: 'spousePhone', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
        {title: '拟申请购买人才社区', field: 'houseTypeName', visible: true, align: 'center', valign: 'middle',width:"130px",'class': 'uitd_showTip'},
        {title: '拟申请购房地址', field: 'applyAddress', visible: true, align: 'center', valign: 'middle',width:"130px",'class': 'uitd_showTip'},
        // {title: '养老保险缴纳月份', field: 'pensionDetail', visible: true, align: 'center', valign: 'middle'},
        // {title: '失业保险缴纳月份', field: 'unemploymentDetail', visible: true, align: 'center', valign: 'middle'},
        // {title: '医疗保险缴纳月份', field: 'medicaDetail', visible: true, align: 'center', valign: 'middle'},
        // {title: '个税缴纳月份', field: 'taxDetail', visible: true, align: 'center', valign: 'middle'},
        {title: '审核状态', field: process == 2?'state':'checkState', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip',
            formatter : function (value,row,index){
                if(process == 1 ){
                    switch (value) {
                        case -1:
                            return "<span class='label label-danger'>审核不通过</span>";
                            break;
                        case 1:
                            return "<span class='label'>待提交</span>"
                            break;
                        case 5:
                            return "<span class='label label-success'>待审核</span>";
                            break;
                        case 8:
                            return "<span class='label label-success'>重新提交</span>";
                            break;
                        case 10:
                            return "<span class='label label-danger'>已驳回</span>"
                            break;
                        case 15:
                            return "<span class='label label-success'>上级驳回</span>"
                            break;
                        case 20:
                        case 25:
                        case 27:
                        case 30:
                            return "<span class='label label-primary'>已通过</span>"
                            break;
                    }
                }else if(process == 2){
                    if(value == 1){
                        return "<span class='label label-success'>待审核</span>"
                    }if(value == 2){
                        return "<span class='label label-danger'>已驳回</span>"
                    }if(value == 3){
                        return "<span class='label label-primary'>已通过</span>"
                    }if(value == 4){
                        return "<span class='label label-warning'>上级驳回</span>"
                    }if(value == 9){
                        return "<span class='label label-success'>重新提交</span>"
                    }
                }else if(process == 3){
                    switch (value) {
                        case -1:
                            return "<span class='label label-danger'>审核不通过</span>";
                            break;
                        case 1:
                        case 8:
                        case 5:
                        case 10:
                        case 15:
                        case 20:
                            return "<span class='label label-danger'>已驳回</span>"
                            break;
                        case 25:
                            return "<span class='label label-success'>待审核</span>"
                            break;
                        case 27:
                            return "<span class='label label-success'>重新提交</span>"
                            break;
                        case 30:
                            return "<span class='label label-primary'>已通过</span>"
                            break;
                    }
                }
            }
        },
        {title: '操作', field: 'id', visible: true, align: 'center', valign: 'middle',width:"80px",
            formatter : function (value,row,index){
                return "<span class='label label-success' onclick=\"Feng.getCheckLogModel('"+value+"','"+CONFIG.project_renting_purchase_apply+"',null)\" >" +
                    "<i class=\"fa fa-book\"></i>日志" +
                    "</span>";
            }
        }
    ];
};

/**
 * 检查是否选中
 */
HouserRentingPurchaseApply.check = function () {
    var selected = $('#' + this.id).bootstrapTable('getSelections');
    if(selected.length == 0){
        Feng.info("请先选中表格中的某一记录！");
        return false;
    }else{
        HouserRentingPurchaseApply.seItem = selected[0];
        return true;
    }
};

/**
 * 点击添加购房申请
 */
HouserRentingPurchaseApply.openCheckHouserRentingPurchaseApply = function (process) {
    if (this.check()) {
        var companyId = Feng.isEmptyStr(HouserRentingPurchaseApply.seItem.companyId)?null:HouserRentingPurchaseApply.seItem.companyId;
        var index = layer.open({
            type: 2,
            title: '审核购房申请',
            area: ['800px', '420px'], //宽高
            fix: false, //不固定
            maxmin: true,
            content: Feng.ctxPath + '/houserRentingPurchaseApply/houserRentingPurchaseApply_check/' + HouserRentingPurchaseApply.seItem.id+"/"+companyId+"/"+process,
            btn: ['<i class="fa fa-eye"></i>&nbsp;&nbsp;保存未提交', '<i class="fa fa-check layui-bg-green"></i>&nbsp;&nbsp;提交审核', '<i class="fa fa-eraser"></i>&nbsp;&nbsp;取消'],
            btnAlign: 'c',
            btn1: function (index, layero) {
                var obj = layero.find("iframe")[0].contentWindow;
                obj.HouserRentingPurchaseApplyInfoDlg.showCheckModal(process);
            }, btn2: function (index, layero) {
                var obj = layero.find("iframe")[0].contentWindow;
                obj.HouserRentingPurchaseApplyInfoDlg.submitToCheck(process);
                return false;
            },
            success: function (layero, index) {
                layer.tips('审核完成并确认无误后点击', '.layui-layer-btn1', {tips: [1, "#78BA32"], time: 0, closeBtn: 2});
            },
            end: function () {
                layer.closeAll('tips');
            }
        });
        HouserRentingPurchaseApply.layerIndex = index;
        layer.full(index);
    }
};

/**
 * 查询表单提交参数对象
 * @returns {{}}
 */
HouserRentingPurchaseApply.formParams = function() {
    var queryData = {};
    queryData['enterpriseName'] = $("#enterpriseName").val();
    queryData['name'] = $("#name").val();
    queryData['sex'] = $("#sex").val();
    queryData['cardType'] = $("#cardType").val();
    queryData['idCard'] = $("#idCard").val();
    queryData['talentArrange'] = $("#talentArrange").val();
    queryData['marryStatus'] = $("#marryStatus").val();
    queryData['spouseName'] = $("#spouseName").val();
    queryData['spouseSex'] = $("#spouseSex").val();
    queryData['spouseCardType'] = $("#spouseCardType").val();
    queryData['spouseIdcard'] = $("#spouseIdcard").val();
    queryData['spouseTalentArrange'] = $("#spouseTalentArrange").val();
    queryData['houseType'] = $("#houseType").val();
    queryData['checkState'] = $("#checkState").val();
    return queryData;
}

/**
 * 查询购房补贴列表
 */
HouserRentingPurchaseApply.search = function () {
    HouserRentingPurchaseApply.table.refresh({query: HouserRentingPurchaseApply.formParams()});
};

/**
 * 重置
 */
HouserRentingPurchaseApply.reset = function(){
    $("#enterpriseName").val("");
    $("#name").val("");
    $("#sex").val("");
    $("#cardType").val("");
    $("#idCard").val("");
    $("#talentArrange").val("");
    $("#marryStatus").val("");
    $("#spouseName").val("");
    $("#spouseSex").val("");
    $("#spouseCardType").val("");
    $("#spouseIdcard").val("");
    $("#spouseTalentArrange").val("");
    $("#houseType").val("");
    $("#checkState").val("");
}


HouserRentingPurchaseApply.showExportModal = function(){
    $("#exportForm")[0].reset();
    $("#basicExportModal").modal("show");
}

/**
 * 导出基础信息
 */
HouserRentingPurchaseApply.export = function(){
    var names = '';
    var values = '';
    $("#field_info li input").each(function(index){
        if($(this).is(":checked")){
            values = values + $(this).val() + ",";
            names = names + $(this).next().text() + ",";
        }
    });
    var queryData = HouserRentingPurchaseApply.formParams();
    queryData['names'] = names;
    queryData['values'] = values;
    queryData['process'] = $("#process").val();
    var url = Feng.setUrlParam(Feng.ctxPath + "/houserRentingPurchaseApply/exportBasicInfo",queryData);
    $("#basicExportModal").modal('hide');
    window.location.href = url;
}


$(function () {
    var defaultColunms = HouserRentingPurchaseApply.initColumn();
    var table = new BSTable(HouserRentingPurchaseApply.id, "/houserRentingPurchaseApply/list/"+$("#process").val(), defaultColunms);
    table.setPaginationType("server");
    HouserRentingPurchaseApply.table = table.init();
    //批量加载字典表数据
    var arr = [
        {"name":"marryStatus","code":"un_marryStatus"},
        {"name":"talentArrange","code":"un_talentLevel"},
        {"name":"cardType","code":"un_cardType"},
        {"name":"spouseCardType","code":"un_cardType"},
        {"name":"spouseTalentArrange","code":"un_talentLevel"},
        {"name":"houseType","code":"un_renting_houseType"},
        {"name":"childCardType","code":"un_cardType"}];
    Feng.findChildDictBatch(JSON.stringify(arr));
});
